### Method

# Gtk TreeModel get_string_from_iter

#### Declaration [src]

    char*
    gtk_tree_model_get_string_from_iter (
      GtkTreeModel* tree_model,
      GtkTreeIter* iter
    )

#### Description [src]

Generates a string representation of the iter.

This string is a “:” separated list of numbers. For example, “4:10:0:3” would be an acceptable return value for this string.

#### Parameters

`iter` | `GtkTreeIter`
| A `GtkTreeIter`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `char*`
| A newly-allocated string.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.
| The string is a NUL terminated UTF-8 string.